Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
NetricsServerInterface.NetricsTranStats Class Reference

Represents the status information on an open transaction. More...

## Public Member Functions
override String | ToString ()
| Returns a string that represents the NetricsTranStats object.
long | getId ()
| Returns the full transaction id.
int | getShortId ()
| Return the short form of the transaction id.
bool | isExplicit ()
| Return true if this is an explicit transaction.
bool | isImplicit ()
| Return true if this is an implicit transaction.
bool | isGatewayTran ()
| Return true if this is a gateway transaction.
int | getIdleTime ()
| Return the idle time for this transaction in seconds.
int | getErrorCount ()
| Returns the number of modify operations associated with this transaction that terminated with an error.
int | getLogSize ()
| Returns the number of entries in the rollback log.

## Static Public Attributes
const int | STATE_NULL = 0
| Special state indicating there is no state for this item.
const int | STATE_EXIST = 0x01
| The item exists but is not held by a transaction.
const int | STATE_UPDATED = 0x02
| This item has been updated, the update is not committed.
const int | STATE_HELD = 0x04
| This item is held in conjunction with another operation that is not committed.
const int | STATE_ADDED = 0x08
| This item has been added, but not yet committed.
const int | STATE_DELETED = 0x10
| This item has been deleted, but the delete is not yet committed.
const int | STATE_RENAMED = 0x20
| This item was renamed, but the name change is not committed.
const int | STATE_REPLACED = 0x40
| This item was replaced, but the update is not committed.
const int | STATE_MIXED = 0x4000
| This item had different states on different nodes.
const int | STATE_DIRTY = 0x02|0x08|0x10|0x20|0x40|0x4000
| This is a special state used to test if this object has been modified by an uncommitted transaction.
const int | TRAN_ID_NULL = 0
| Represents the special null or missing transaction id.
const int | LKT_TRAN_IMPLICIT = 1
| Indicates an automatic transaction internal to the server.
const int | LKT_TRAN_EXPLICIT = 2
| Indicates a user-created transaction.

## Detailed Description

Represents the status information on an open transaction.

Objects of this class hold information on one open transaction. This class also defines constants associated with transactions, such as object transaction states and special transaction ID values.

See also
  NetricsServerInterface.listTransactions(int)

## Member Function Documentation

## ◆ getErrorCount()

int NetricsServerInterface.NetricsTranStats.getErrorCount | ( |  | ) |
| inline

Returns the number of modify operations associated with this transaction that terminated with an error.

If there is no information it returns -1.

Some commands may return an error code but not be considered to have terminated with an error from a transaction point of view. If the command would have committed its results if executed under an implicit transaction it is not considered to have failed. Examples are the checkpoint and restore commands that may return a partial checkpoint or partial restore error, but still commit those operations that succeeded.

## ◆ getId()

long NetricsServerInterface.NetricsTranStats.getId | ( |  | ) |
| inline

Returns the full transaction id.

If there is no transaction id NetricsTranStats.TRAN_ID_NULL is returned.

## ◆ getIdleTime()

int NetricsServerInterface.NetricsTranStats.getIdleTime | ( |  | ) |
| inline

Return the idle time for this transaction in seconds.

If there is no transaction or no idle time it returns -1.

The idle time is the time since the last modify operation associated with this transaction completed. If there are no update operations associated with this transaction it is the time since the transaction was created. If a modify operation is in progress the idle time will be zero.

## ◆ getLogSize()

int NetricsServerInterface.NetricsTranStats.getLogSize | ( |  | ) |
| inline

Returns the number of entries in the rollback log.

It is a rough estimate of the size of the transaction. The count does not include the number of individual records updated. If there is no log size information it returns -1.

## ◆ getShortId()

int NetricsServerInterface.NetricsTranStats.getShortId | ( |  | ) |
| inline

Return the short form of the transaction id.

If there is no transaction id NetricsTranStats.TRAN_ID_NULL is returned.

## ◆ isExplicit()

bool NetricsServerInterface.NetricsTranStats.isExplicit | ( |  | ) |
| inline

Return true if this is an explicit transaction.

False is returned if this is an implicit transaction or there is no transaction id.

## ◆ isGatewayTran()

bool NetricsServerInterface.NetricsTranStats.isGatewayTran | ( |  | ) |
| inline

Return true if this is a gateway transaction.

False is returned if it is not a gateway transaction or there is no transaction id.

## ◆ isImplicit()

bool NetricsServerInterface.NetricsTranStats.isImplicit | ( |  | ) |
| inline

Return true if this is an implicit transaction.

False is returned if it is an explicit transaction or there is no transaction id.

## ◆ ToString()

override String NetricsServerInterface.NetricsTranStats.ToString | ( |  | ) |
| inline

Returns a string that represents the NetricsTranStats object.

The string is returned in a human readable format.

## Member Data Documentation

## ◆ STATE_MIXED

const int NetricsServerInterface.NetricsTranStats.STATE_MIXED = 0x4000
| static

This item had different states on different nodes.

This can only be returned from a gateway. It is returned when not all nodes report that same state value for the same object.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.